Ofcas.Lk.Api.Client - Version 3.0 3.0.0.113

Public Attributes | List of all members
Ofcas.Lk.Api.Client.Core.DocumentInfo Class Reference

Represents the metadata to a Document More...

Inheritance diagram for Ofcas.Lk.Api.Client.Core.DocumentInfo:

## Public Attributes
Guid | Guid => Data.DocumentGuid
| Defines the unique identifier for the document. This Guid is valid during the hole lifetime of the document. More...
DocumentType | Type => Data.Type
| The document type (DocumentType). More...
string | FileName => Data.FileName
| The filename from the document. More...
string | Suffix => Data.Suffix
| Returns the complete suffix of the file. More...
bool | Deleted => false
| Returns if this info is deleted. More...
bool | IsDeleted => false
| Returns if this info is deleted. More...

## Additional Inherited Members
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreInfo< DocumentInfoData, DocumentContainer, ICoreInfo >
| CoreInfo (TData data)
| CoreInfo (TData data, TParent parent)
Properties inherited from Ofcas.Lk.Api.Client.Core.CoreInfo< DocumentInfoData, DocumentContainer, ICoreInfo >
TData | Data`[get]`
TParent | ParentInfo`[get, set]`
TParentObject | Parent`[get, set]`
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreInfoDeletable
bool | Deleted`[get]`
| Indicated if this core info is deleted. More...
bool | IsDeleted`[get]`
| Indicated if this core info is deleted. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreInfoWithGuid
Guid | Guid`[get]`
| The globally unique identifier of an info object. More...

## Detailed Description

Represents the metadata to a Document

## Member Data Documentation

## ◆ Deleted

bool Ofcas.Lk.Api.Client.Core.DocumentInfo.Deleted => false

Returns if this info is deleted.

## ◆ FileName

string Ofcas.Lk.Api.Client.Core.DocumentInfo.FileName => Data.FileName

The filename from the document.

## ◆ Guid

Guid Ofcas.Lk.Api.Client.Core.DocumentInfo.Guid => Data.DocumentGuid

Defines the unique identifier for the document. This Guid is valid during the hole lifetime of the document.

## ◆ IsDeleted

bool Ofcas.Lk.Api.Client.Core.DocumentInfo.IsDeleted => false

Returns if this info is deleted.

## ◆ Suffix

string Ofcas.Lk.Api.Client.Core.DocumentInfo.Suffix => Data.Suffix

Returns the complete suffix of the file.

## ◆ Type

DocumentType Ofcas.Lk.Api.Client.Core.DocumentInfo.Type => Data.Type

The document type (DocumentType).

The documentation for this class was generated from the following file:

- DocumentInfo.cs